import java.io.*;
import java.util.*;

public class Smith {
    static int[] prims;
    static int primCount = 0;
    static final int MAX = 101;
    static boolean[] flag = new boolean[MAX * MAX];
    static void calcPrims() {
	int i, j;
	for (i = 2; i < MAX * MAX; i++) {
	    flag[i] = true;
	}
	for (i = 2; i < MAX; i++) {
	    if (flag[i]) {
		for (j = i * i; j < MAX * MAX; j += i) {
		    flag[j] = false;
		}
		primCount++;
	    }
	}
	for (; i < MAX * MAX; i++) {
	    if (flag[i])
		primCount++;
	}
	prims = new int[primCount];
	j = 0;
	for (i = 2; i < MAX * MAX; i++) {
	    if (flag[i]) {
		System.out.println(i + " ");
		prims[j++] = i;
	    }
	}
    }
    public static void main(String[] args) {
	try {
	    BufferedReader reader =
		new BufferedReader(new FileReader("smith.in"));
	    BufferedWriter writer =
		new BufferedWriter(new FileWriter("smith.out"));
	    
	    calcPrims();
	    while (true) {
		int n = Integer.parseInt(reader.readLine());
		if (n == 0)
		    break;
		
		while (true) {
		    n++;
		    int val1, val2;
		    val1 = calc(n);
		    
		    int t = n;
		    val2 = 0;
		    int i;
		    int factorCount = 0;
		    for (i = 0; i < primCount; i++) {
			while (t % prims[i] == 0) {
			    val2 += calc(prims[i]);
			    t = t / prims[i];
			    factorCount++;
			}
		    }
		    if (t != 1) {
			val2 += calc(t);
			factorCount++;
		    }
		    if (factorCount > 1 && val1 == val2) {
			writer.write(Integer.toString(n));
			writer.newLine();
			writer.flush();
			break;
		    }
		}
	    }
	} catch (IOException e) {
	    System.err.println("I/O Error");
	}
    }
    static int calc(int n) {
	int ret = 0;
	while (n > 0) {
	    ret += n % 10;
	    n = n / 10;
	}
	return ret;
    }
}
		
	    
